【ubuntu】Ubuntu 18.04中重启php7.3方法

Linux环境:Ubuntu 18.04 x64

安装方式:sudo apt-get install php7.3 (默认安装的7.3.6版本)

【查看php-fpm状态】

systemctl status php-fpm

systemctl status php7.3-fpm

【查找php-fpm服务】

sudo find / -name ‘*fpm.service‘

查看php-fpm服务配置如下:

cat /lib/systemd/system/php7.3-fpm.service

内容如下:

[Unit]
Description=The PHP 7.3 FastCGI Process Manager
Documentation=man:php-fpm7.3(8)
After=network.target

[Service]
Type=notify
PIDFile=/run/php/php7.3-fpm.pid
ExecStart=/usr/sbin/php-fpm7.3 --nodaemonize --fpm-config /etc/php/7.3/fpm/php-fpm.conf
ExecReload=/bin/kill -USR2 $MAINPID

[Install]
WantedBy=multi-user.target

【安装php-fpm】

使用apt-get,安装前先使用apt-cache search php-fpm搜索一下目前可供选择安装的包

sudo apt-cache search php-fpm

如图,因为我们的PHP版本是7.3.6,对应的,我们这里应该选择php7.3-fpm

sudo apt-get install php7.3-fpm

【再次查看php-fpm】

sudo find / -name ‘php7.3-fpm‘

【查看php-fpm启动脚步】

cat /etc/init.d/php7.3-fpm

内容如下:

#!/bin/sh
### BEGIN INIT INFO
# Provides:          php7.3-fpm
# Required-Start:    $remote_fs $network
# Required-Stop:     $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: starts php7.3-fpm
# Description:       Starts The PHP FastCGI Process Manager Daemon
### END INIT INFO

# Author: Ondrej Sury <[email protected]>

PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="PHP 7.3 FastCGI Process Manager"
NAME=php-fpm7.3
CONFFILE=/etc/php/7.3/fpm/php-fpm.conf
DAEMON=/usr/sbin/$NAME
DAEMON_ARGS="--daemonize --fpm-config $CONFFILE"
CONF_PIDFILE=$(sed -n ‘s/^pid[ =]*//p‘ $CONFFILE)
PIDFILE=${CONF_PIDFILE:-/run/php/php7.3-fpm.pid}
TIMEOUT=30
SCRIPTNAME=/etc/init.d/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
    # Return
    #   0 if daemon has been started
    #   1 if daemon was already running
    #   2 if daemon could not be started
    start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null         || return 1
    start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --         $DAEMON_ARGS 2>/dev/null         || return 2
    # Add code here, if necessary, that waits for the process to be ready
    # to handle requests from services started subsequently which depend
    # on this one.  As a last resort, sleep for some time.
}

#
# Function that stops the daemon/service
#
do_stop()
{
    # Return
    #   0 if daemon has been stopped
    #   1 if daemon was already stopped
    #   2 if daemon could not be stopped
    #   other if a failure occurred
    start-stop-daemon --stop --quiet --retry=QUIT/$TIMEOUT/TERM/5/KILL/5 --pidfile $PIDFILE --name $NAME
    RETVAL="$?"
    [ "$RETVAL" = 2 ] && return 2
    # Wait for children to finish too if this is a daemon that forks
    # and if the daemon is only ever run from this initscript.
    # If the above conditions are not satisfied then add some other code
    # that waits for the process to drop all resources that could be
    # needed by services started subsequently.  A last resort is to
    # sleep for some time.
    start-stop-daemon --stop --quiet --oknodo --retry=0/30/TERM/5/KILL/5 --exec $DAEMON
    [ "$?" = 2 ] && return 2
    # Many daemons don‘t delete their pidfiles when they exit.
    rm -f $PIDFILE
    return "$RETVAL"
}

#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
    #
    # If the daemon can reload its configuration without
    # restarting (for example, when it is sent a SIGHUP),
    # then implement that here.
    #
    start-stop-daemon --stop --signal USR2 --quiet --pidfile $PIDFILE --name $NAME
    return 0
}

do_tmpfiles() {
    local type path mode user group

    [ "$1" != no ] && V=-v

    TMPFILES=/usr/lib/tmpfiles.d/php7.3-fpm.conf

    if [ -r "$TMPFILES" ]; then
    while read type path mode user group age argument; do
        if [ "$type" = "d" ]; then
        mkdir $V -p "$path"
        chmod $V "$mode" "$path"
        chown $V "$user:$group" "$path"
        fi
    done < "$TMPFILES"
    fi
}

case "$1" in
    start)
    if init_is_upstart; then
        exit 1
    fi
    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
    do_tmpfiles $VERBOSE
    case "$?" in
        0)
        do_start
        case "$?" in
            0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
            2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
        1) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    esac
    ;;
    stop)
    if init_is_upstart; then
        exit 0
    fi
    [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
    do_stop
    case "$?" in
        0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
        2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    esac
    ;;
    status)
        status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
        ;;
    reload|force-reload)
    if init_is_upstart; then
        exit 1
    fi
        log_daemon_msg "Reloading $DESC" "$NAME"
    do_reload
    log_end_msg $?
    ;;
    reopen-logs)
    log_daemon_msg "Reopening $DESC logs" $NAME
    if start-stop-daemon --stop --signal USR1 --oknodo --quiet         --pidfile $PIDFILE --exec $DAEMON
    then
        log_end_msg 0
    else
        log_end_msg 1
    fi
    ;;
    restart)
    if init_is_upstart; then
        exit 1
    fi
    log_daemon_msg "Restarting $DESC" "$NAME"
    do_stop
    case "$?" in
      0|1)
        do_start
        case "$?" in
            0) log_end_msg 0 ;;
            1) log_end_msg 1 ;; # Old process is still running
            *) log_end_msg 1 ;; # Failed to start
        esac
        ;;
      *)
          # Failed to stop
        log_end_msg 1
        ;;
    esac
    ;;
    *)
    echo "Usage: $SCRIPTNAME {start|stop|status|restart|reload|force-reload}" >&2
    exit 1
    ;;
esac

:

【启动php-fpm】

sudo service php7.3-fpm restart

原文地址:https://www.cnblogs.com/opensmarty/p/11081859.html

时间: 2024-08-11 03:21:18

【ubuntu】Ubuntu 18.04中重启php7.3方法的相关文章

[系统软件]Ubuntu 18.04中的Shutter禁用了“编辑”选项解决

本文引用自linux公社, 原文请点击 : https://www.linuxidc.com/Linux/2018-04/151911.htm 在Ubuntu 18.04中安装了我最喜欢的截图工具Shutter后,我发现编辑按钮变编程灰色.这个快速提示将向您展示如何重新启用Shutter中的编辑功能. Ubuntu安装Shutter命令: sudo apt-get install shutter 要重新启用"编辑"选项,Shutter需要libgoo-canvas-perl库,该库在U

Ubuntu Server 18.04 LTS 安装

版本:Ubuntu Server 18.04.1 LTS 环境:VMware Workstation 14 Player 下载地址:https://www.ubuntu.com/download/server Server版本没有图形用户接口,启动后直接进行命令模式 安装过程如下 (1)进入官网选择版本点击下载iso文件 (2)虚拟机中选择该镜像文件进行安装,安装开始如图 (3)选择语言后,进入第二页 (4)选择Done,进行下一页 (5)选择 "Install Ubuntu",进入第

FTP的安装并运行在Ubuntu Server 18.04系统

如果您需要配置一个FTP服务器快速启动运行,那么VSFTP的易用性是无与伦比的. 如果你想将应用程序迁移到最新版本Ubuntu Linux服务器中,并且需要快速启动并运行FTP服务器.如何操作?这实际上非常简单.这里将使用VSFTP服务器向您展示如何做到这一点. VSFTP是一个非常安全和快速的FTP应用程序,它的设置和管理非常简单. 1.准备工作需要安装并运行的Ubuntu Server 18.04系统.当然还需要一个具有sudo权限的账号. 2.安装VSFTPVSFTP程序位于标准存储库中,

PXE(preboot execution environment):【网络】预启动执行环节:引导 live光盘 ubuntu livecd 18.04+:成功

比较艰难的成功了. 艰难在于:吱吱吱吱(知知知知知):就是歌init启动参数而已! 最最艰难在于:这个nfs服务器软件有很大的关系.很多时候不是你不行,而是条件不具备 or 条件看似具备但其实有问题 default menu.c32 label ubuntu-18.04.2menu label ubuntu (version 18.04.02)kernel ub1804/casper/vmlinuzappend root=/dev/nfs netboot=nfs nfsroot=192.168.

Ubuntu关机后会自动重启的解决方法

之前我装了ubuntu 14lts 开发版之后,本来用的好好的,但闲着没事更新了一下内核.之后就遇到ubuntu关机5秒后会自动重启这个问题,我有位用kilin的朋友也遇到这个问题.我反复研究发现,如果你的电脑插着U盘的话,关机是可以正常的,但这种方法不是很友好啊.之后,在贴吧看到最好的解决方法,只要联网状态下,在terminal输入如下命令即可解决. sudo apt-get install laptop-mode-tools Ubuntu关机后会自动重启的解决方法

Ubuntu Server 18.04 切换软件源到国内镜像

Ubuntu 源列表 [中科大] 1.repository file generator 2.具体命令: wget https://mirrors.ustc.edu.cn/repogen/conf/ubuntu-http-4-bionic -O sources.list # or https wget https://mirrors.ustc.edu.cn/repogen/conf/ubuntu-https-4-bionic -O sources.list sudo mv /etc/apt/so

Ubuntu Server 18.04 网络设置不生效的解决

在Ubuntu18.04中,传统的配置/etc/network/interfaces已无用https://www.cnblogs.com/dunitian/p/6658578.html 新方法:修改 /etc/netplan/50-cloud-init.yaml 配置如下: network: ethernets: eth0: addresses: [192.168.36.202/24] gateway4: 192.168.36.1 nameservers: addresses: [114.114

Ubuntu 18.04中安装搜狗拼音

一.安装fcitx 1. 相关的依赖库和框架都会自动安装上.sudo apt-get install fcitx-bin 2. 安装输入法sudo apt-get install  fcitx-table 二.配置fcitx默认iBus(非常难用),前面我们说过了,安装完fcixt后你尽可以如意地在 键盘输入方式系统 处把它替换为fcitx(如下图).然后重启Ubuntu. 三.安装搜狗拼音访问搜狗输入法For Linuxhttps://pinyin.sogou.com/linux/?r=pin

Ubuntu Server 18.04 与 RabbitMQ 3.6.x

官方文档:https://www.rabbitmq.com/install-debian.html GitHub:https://github.com/rabbitmq/rabbitmq-server 添加公钥 wget -O- https://www.rabbitmq.com/rabbitmq-release-signing-key.asc | sudo apt-key add - 更新软件包 sudo apt update  sudo apt upgrade 安装 RabbitMQ sudo